package cn.reghao.tnb.sb.multi.mybatis.mapper.three;

import cn.reghao.tnb.sb.multi.mybatis.model.three.UserAccount;
import cn.reghao.jutil.jdk.web.db.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author reghao
 * @date 2021-11-16 09:35:39
 */
@Mapper
public interface UserAccountMapper extends BaseMapper<UserAccount> {
    void updateScreenName(@Param("userId") long userId, @Param("screenName") String screenName);
    UserAccount findUserAccount(long userId);
    List<UserAccount> findExist();
    List<UserAccount> findNonExist(int pageSize);
}
